Description
Search within series B2455 for a record item using a single keyword
Details
A user conducts a simple keyword search for a Record Item within series B2455.
Example
A user enters 'Blacktown' as a keyword to search.
Pre-requisites / Restrictions
Up to 2000 record item records matching the request will be returned. List of search results displayed on each page is limited to 100.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| keyword | Keyword to search. |
Define this parameter in the request URI. |
| rows | Number of results to return. Integer greater than 0 less than 2000. |
Define this parameter in the request URI. |
| page | The offset of rows to use for results to return. Integer greater than 0. Useful for page based clients. |
Define this parameter in the request URI. |
| app_id | Application ID |
Define this parameter in the request URI. |
| app_key | Application Key |
Define this parameter in the request URI. |
Response Information
Response body - RecordItemSearchResponse
application/json, text/json
Sample:
{
"ResultSet": [
{
"record_item_id": 1,
"barcode": "sample string 2",
"title": "sample string 3"
},
{
"record_item_id": 1,
"barcode": "sample string 2",
"title": "sample string 3"
},
{
"record_item_id": 1,
"barcode": "sample string 2",
"title": "sample string 3"
}
],
"result_count": 1
}
Response Status Codes
| Code | Name | Additional information |
|---|---|---|
| 200 | OK |
Request was successfully processed |
| 401 | Unauthorized |
Authorisation has failed |
| 404 | NotFound |
Requested data was not found |
| 500 | InternalServerError |
An error has occurred on the server |